{% block sw_cms_element_like_config %}
    <div
        class="sw-cms-el-config-buy-box__tab-content"
    >
        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
        {% block sw_cms_element_buy_box_config_content_warning %}
        <sw-alert
            v-if="isProductPage"
            class="sw-cms-el-config-buy-box__warning"
            variant="info"
        >
            {{ $tc('sw-cms.elements.buyBox.infoText.tooltipSettingDisabled') }}
        </sw-alert>
        {% endblock %}

        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
        {% block sw_cms_element_buy_box_config_product_select %}
        <sw-entity-single-select
            v-if="!isProductPage"
            ref="cmsProductSelection"
            v-model="element.config.product.value"
            entity="product"
            :label="$tc('sw-cms.elements.buyBox.config.label.selection')"
            :placeholder="$tc('sw-cms.elements.buyBox.config.placeholder.selection')"
            :criteria="productCriteria"
            :context="productSelectContext"
            show-clearable-button
            @update:value="onProductChange"
        >

            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_buy_box_config_product_variant_label %}
            <template #selection-label-property="{ item }">
                <sw-product-variant-info :variations="item.variation">
                    {{ item.translated.name || item.name }}
                </sw-product-variant-info>
            </template>
            {% endblock %}

            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_buy_box_config_product_select_result_item %}
            <template #result-item="{ item, index }">
                <sw-select-result
                    v-bind="{ item, index }"
                >

                    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                    {% block sw_entity_single_select_base_results_list_result_label %}
                    <span class="sw-select-result__result-item-text">
                        <sw-product-variant-info :variations="item.variation">
                            {{ item.translated.name || item.name }}
                        </sw-product-variant-info>
                    </span>
                    {% endblock %}
                </sw-select-result>
            </template>
            {% endblock %}

        </sw-entity-single-select>
        {% endblock %}
    </div>
{% endblock %}
